/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/

[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}




.ry-menu .ry-nav li.dropdown .dropdown-menu li a {
    color: #fff;
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <August 7, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent, #181717);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-background);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}
.cta-btn {
    background: var(--color-primary-background);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
.slider-info {
    min-height: fit-content;
}

/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-top: 40%;
}
/* Services */
	/**/
#section-hp-services::before {
    height: 40%;
    top: auto;
    bottom: 0;
}

.ry-card {
    box-shadow: 0 0 7px 3px #3333332e;
}

.ry-card.ry-hp-service-5 {
	background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-71c48a5a-3931-4436-b541-ebeb5b014cdd/images/s5.jpg);
}

.ry-card.ry-hp-service-6 {
  background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-71c48a5a-3931-4436-b541-ebeb5b014cdd/images/s6.jpg);
}

.ry-card .ry-icon {
    background: var(--color-primary-background);
}

.ry-card:nth-child(even) .ry-icon {
    background: var(--color-secondary-background);
}

.ry-card .ry-icon img, .ry-card:hover .ry-icon img {
  filter: invert(1);
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/
.module-brands.style-5 .content .brand-block .each-brand .logo {
    background: #465052;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-4 .swiper-slide {
    background: none;
}

.module-testimonials.style-4 .swiper-slide, .module-testimonials.style-4 .swiper-slide p {
    color: #374151;
}
/* Footer */
	/**/
/*Media Queries*/
	/**/
.group-bg .background-section, .group-bg .background-section img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    z-index: 1;
}

#section-hp-services,
#section-hp-team{
    position: relative;
    z-index: 1;
    background-color: transparent;
}

#section-hp-services .ry-card {
    border-radius: 25px;
}

@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 5%;
    }
}
@media (max-width:1024px){
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
	
	#section-hp-services .grid {
	  max-width: 600px;
	  margin: 3em auto 0;
	}
	
	#ry-sidebar {
	  max-width: 400px;
	  margin: auto;
	  clear: both;
	}
}

@media (max-width:1080px){
    .module-welcome.style-5 .ry-each.image-wrapper .photo {
        padding-top: 0%;
    }
}

@media (width < 1080px) {
    #section-hp-services:before, .module-19.style2:before, .ry-services.style2::before,
    #hp-brands-1::before, #hp-brands-2::before, #hp-brands-3::before, #hp-brands-4::before, #hp-brands-5::before, #hp-brands-6::before{
        opacity:1;
    }
}
/* End - HP Edits*/





/*FRAMES PAGE */


.designer-frames-block {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 1em 0;
    margin-top: 1em;
}


div#logo-model:nth-child(even) div#logo-block {
    background: var(--color-primary-background);
}

div#model-block img {
    height: 100%;
    object-fit: cover;
    object-position: center;
  margin:0;
}

div#model-block {
    height: auto;
}

div#logo-block {
    height: 100px;
}

div#logo-model {
    display: flex;
    flex-direction: column;
    width: 24%;
  
}

div#model-block,
div#logo-block {
    width: 100%;
}

div#logo-block {
    background: var(--color-secondary-background);
    display: flex;
    align-items: center;
    justify-content: center;
}

div#logo-block img {
    filter: brightness(0) invert(1);
    width: 80% !important;
    object-fit: contain;
    max-width: 150px;
}

div#logo-model img {
    border-radius: 0 !important;
    object-position: center;
    height: 250px;
    width: 100%;
    margin: 0;
}


img#brands-logo {
    position: absolute;
    bottom: 5%;
    max-width: 180px;
    margin: auto;
    right: 5%;
    filter: brightness(0) invert(1);
}


@media (max-width:991px) {

    img#brands-logo {
        right: 0;
        max-width: 150px;
        filter: brightness(0) invert(1);
        left: 0;
    }
  
}

@media (max-width:768px) {
	div#logo-model img {
		height: 150px !important;
	}
}


@media (max-width:600px) {
    div#logo-model {
        width: 48%;
    }
    div#logo-block img {
        height: 70%;
        width: 80%;
    }
    img#small-logo {
        max-width: 120px !important;
    }
}



/* FRAMES PAGE */






/* COLLAB PAGE */


div.collab-section .accordion-heading {
    background: hsl(33.6deg 12.82% 61.76% / 34%);
    padding: 10px 20px;
}

div.collab-section .accordion-heading .flex {
    justify-content: space-between;
}

.collab-section .flex {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding: 0;
    gap: 3em;
}

.collab-section .flex .ry-each {
    width: 29%;
}

.collab-section .flex .ry-each img {
    margin: 0;
    width: 100%;
    object-fit: cover;
    object-position: center;
    height: 350px;
}

div.collab-section {
    margin-top: 5em;
}

.collab-section .flex .ry-each h4 {
    margin: 20px 0 0;
    text-align: left !important;
}

div.collab-section h5 {
    text-transform: uppercase !important;
}

@media (max-width:768px) {
	.collab-section .flex .ry-each {
		width: 100%;
		margin: auto;
		float: none;
	}

		.collab-section .flex .ry-each img {
		margin: auto;
		width: 100%;
		max-width: 400px;
	}

	.collab-section .flex .ry-each h4 {
		text-align: center !important;
		margin-bottom: 10px;
	}

}


/* END COLLAB PAGE */




/* FOOTER RESPONSIVE */

#ry-footer .container .self-start ul li {
  text-align: left;
  margin-top: 5px !important;
}

#ry-footer .container .self-start h6 {
  text-align: left;
}

#ry-footer .container .self-start:last-child ul {
  max-width: 100%;
}

#ry-footer .container {
  width: 90%;
  max-width: 1300px;
  padding-bottom: 3em;
}

#footer-copyright {
  padding: 2em 0 0;
}

#footer-copyright p, #footer-copyright span {
  font-size: 16px !important;
}

.roya-logo {
  height: auto !important;
  max-width: 90px;
  width: 100%;
  position: relative;
  top: 3px;
}

.footer-logo {
    max-width: 250px;
}


@media (min-width:1025px) and (max-width:1360px) {
  #footer-block ul li {
	  font-size: 16px;
	}
	#footer-copyright p, #footer-copyright span {
	   line-height: 1;
	  font-size: 15px !important;
	}
}

@media (max-width:1660px) {
  
	#footer-map {
	  height: 450px !important;
	}
}

@media (max-width:1199px) {
  #ry-footer::before {
	  background-image: none;
	}
	  #footer-copyright p, #footer-copyright span {
	  font-size: 15px !important;

	}

	  #footer-items {
	  display: flex;
	}

}


@media (max-width:768px) {
  #footer-items {
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
  }
	#footer-items ul li, #footer-items h6 {
	  text-align: center !important;
	}

	#footer-block {
	  width: 100%;
	  max-width: 300px;
	  margin: auto;
	}
	#footer-block span {
	  font-weight: normal;
	}
	#footer-copyright span {
	  text-align: center;
	}
	.roya-logo {
	  top: 10px;
	}
	#footer-logo-social {
	  flex-direction: column;
	}
	#footer-logo-social img {
	  max-width: 220px;
	  width: 100%;
	  margin-bottom: 1em;
	}
	
	.module-welcome.style-5 p{
		text-align:center !important;
	}
  
}

/* END FOOTER RESPONSIVE */

@media(max-width:1199px) {
	#navigation-style-15, .ry-menu{
		display:none !important;
	}

	.snap-mobile-menu {
		display:flex !important;
	}
}



.article-image-wrap img {
    border-radius: 20px;
    margin: 0 0 1em 0;
}

div#article-page h2 {
    margin: 0 0 20px;
}

.articles-list  a {
    width: 100%;
    display: flex;
    height: 100%;
    padding: 1.25rem;
}

.ry-photo.right {
    width: 30%;
    float: right;
    padding-left: 2em;
    padding-bottom: 2em;
}

.ry-photo.right img {
    margin: 0;
    max-width: 300px;
}

@media (max-width:767px) {
    .ry-photo.right {
		width: 100%;
		float: none;
		padding-left: 0;
		padding-bottom: 1em;
	}

	.ry-photo.right img {
		margin: 0 auto;

	}

}

body[data-page-name="frames"] {
    #hp-brands-1::before, #hp-brands-2::before, #hp-brands-3::before, #hp-brands-4::before, #hp-brands-5::before, #hp-brands-6::before {
    background-image: unset !important;

}
	

	
